org.apache.avro.ipc.jetty

## Class StatsServer

- java.lang.Object
- - org.apache.avro.ipc.jetty.StatsServer

-     public class StatsServer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatsServer(StatsPlugin plugin, int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatsServer

          public StatsServer(StatsPlugin plugin,
                             int port)
                      throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### stop

          public void stop()
                    throws Exception

      Throws:
        `Exception`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.